/**
 * This file contains all the directives used by the @link IgxCalendarComponent.
 * Except for the directives which are used for templating the calendar itself
 * you should generally not use them directly.
 * @preferred
 */
import { EventEmitter, TemplateRef, ElementRef } from '@angular/core';
/**
 * @hidden
 */
export declare class IgxCalendarYearDirective {
    value: Date;
    date: Date;
    onYearSelection: EventEmitter<Date>;
    readonly defaultCSS: boolean;
    readonly currentCSS: boolean;
    readonly isCurrentYear: boolean;
    onClick(): void;
}
export declare class IgxCalendarMonthDirective {
    elementRef: ElementRef;
    value: Date;
    date: Date;
    index: any;
    onMonthSelection: EventEmitter<Date>;
    tabindex: number;
    readonly defaultCSS: boolean;
    readonly currentCSS: boolean;
    readonly isCurrentMonth: boolean;
    readonly nativeElement: any;
    constructor(elementRef: ElementRef);
    onClick(): void;
}
/**
 * @hidden
 */
export declare class IgxCalendarHeaderTemplateDirective {
    template: TemplateRef<any>;
    constructor(template: TemplateRef<any>);
}
/**
 * @hidden
 */
export declare class IgxCalendarSubheaderTemplateDirective {
    template: TemplateRef<any>;
    constructor(template: TemplateRef<any>);
}
