import { IgxGridBaseComponent } from './grid-base.component';
import { IgxColumnComponent } from './column.component';
/** @hidden */
export declare class IgxGridNavigationService {
    grid: IgxGridBaseComponent;
    readonly displayContainerWidth: number;
    readonly displayContainerScrollLeft: number;
    readonly verticalDisplayContainerElement: any;
    horizontalScroll(rowIndex: any): any;
    getColumnUnpinnedIndex(visibleColumnIndex: number): number;
    isColumnFullyVisible(visibleColumnIndex: number): boolean;
    isColumnLeftFullyVisible(visibleColumnIndex: any): boolean;
    readonly gridOrderedColumns: IgxColumnComponent[];
    isRowInEditMode(rowIndex: any): boolean;
    isColumnEditable(visibleColumnIndex: number): boolean;
    findNextEditable(direction: string, visibleColumnIndex: number): number;
    getCellElementByVisibleIndex(rowIndex: any, visibleColumnIndex: any, isSummary?: boolean): any;
    onKeydownArrowRight(element: any, rowIndex: any, visibleColumnIndex: any, isSummary?: boolean): void;
    onKeydownArrowLeft(element: any, rowIndex: any, visibleColumnIndex: any, isSummary?: boolean): void;
    movePreviousEditable(rowIndex: any, visibleColumnIndex: any): void;
    moveNextEditable(element: any, rowIndex: any, visibleColumnIndex: any): void;
    onKeydownHome(rowIndex: any, isSummary?: boolean): void;
    onKeydownEnd(rowIndex: any, isSummary?: boolean): void;
    navigateTop(visibleColumnIndex: any): void;
    navigateBottom(visibleColumnIndex: any): void;
    navigateUp(rowElement: any, currentRowIndex: any, visibleColumnIndex: any): void;
    protected focusPreviousElement(currentRowEl: any, visibleColumnIndex: any): void;
    navigateDown(rowElement: any, currentRowIndex: any, visibleColumnIndex: any): void;
    protected focusElem(rowElement: any, visibleColumnIndex: any): any;
    protected focusNextElement(rowElement: any, visibleColumnIndex: any): any;
    goToFirstCell(): void;
    goToLastCell(): void;
    goToLastBodyElement(): void;
    performTab(currentRowEl: any, rowIndex: any, visibleColumnIndex: any, isSummaryRow?: boolean): void;
    moveFocusToFilterCell(toStart?: boolean): void;
    navigatePrevFilterCell(column: IgxColumnComponent, eventArgs: any): void;
    navigateFirstCellIfPossible(eventArgs: any): void;
    navigateNextFilterCell(column: IgxColumnComponent, eventArgs: any): void;
    private getLastPinnedFilterableColumn;
    private getFirstPinnedFilterableColumn;
    performShiftTabKey(currentRowEl: any, rowIndex: any, visibleColumnIndex: any, isSummary?: boolean): void;
    shouldPerformVerticalScroll(targetRowIndex: any): boolean;
    private performHorizontalScrollToCell;
    protected getRowByIndex(index: any, selector?: string): any;
    protected getNextRowByIndex(nextIndex: any): any;
    private getAllRows;
    protected getCellSelector(visibleIndex?: number, isSummary?: boolean): string;
    protected getRowSelector(): string;
}
